Summary: Eijiro dictionary search tool by Ruby
Summary(ja): 英辞郎検索ツール by Ruby
Name: rdic
Version: 0.1.8
Release: 0vl1
URL: http://www.yasgursfarm.us/rdic/
Source0: http://www.yasgursfarm.us/download/%{name}-%{version}.tar.gz
Patch0: rdic-0.1.1-rubypath.patch
License: GPL
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ruby >= 1.6.7, mmap >= 0.1.7, xselection
BuildArch: noarch

%description
Eijiro dictionary search tool by Ruby

%description -l ja
英辞郎検索ツール by Ruby


%prep
%setup -q
%patch0 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 0755 cnv2alc.rb cnv2rdic.rb cnv2jisx0213.rb rdic %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog.rdic README.eliminate README.func README.jp README.keymap etc
%{_bindir}/cnv2alc.rb
%{_bindir}/cnv2rdic.rb
%{_bindir}/cnv2jisx0213.rb
%{_bindir}/rdic

%changelog
* Sat Jun  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.8-0vl1
- new upstream release
- changed Group Applications/Text

* Sun Dec 14 2003 IWAI, Masaharu <iwai@alib.jp> 0.1.5-0vl1
- new upstream release

* Mon Nov 10 2003 IWAI, Masaharu <iwai@alib.jp> 0.1.3-0vl0
- build for Vine-2.6

* Tue Oct  7 2003 IWAI, Masaharu <iwai@alib.jp> 0.1.3-0vl1
- new upstream release

* Sat Aug 16 2003 IWAI, Masaharu <iwai@alib.jp> 0.1.2-0vl1
- upstream release

* Mon Jul 14 2003 IWAI Masaharu <iwai@alib.jp> 0.1.1-0vl1
- upstream release
- update rubypath.patch (Patch0)

* Fri May  9 2003 IWAI Masaharu <iwai@alib.jp> 0.1.0-0vl1
- upstream release

* Wed Apr 23 2003 IWAI Masaharu <iwai@alib.jp> 0.0.9-0vl1
- first build for Vine Linux
- version up to 0.0.9

* Sun Jan 19 2003 IWAI Masaharu <iwai@alib.jp> 0.0.5-1
- Initial build.


